---
import Base from '~/layouts/Base.astro';
// import Header from '~/components/site/Header.astro';
import Footer from '~/components/site/Footer.astro';
import Sidebar from '~/components/site/Sidebar.astro';
import type { Props as BaseProps } from '~/layouts/Base.astro';
import { env } from '~/lib/env';

export type Props = BaseProps & {};

const { ...rest } = Astro.props;
---

<Base {...rest}>
  <div
    class:list={[
      'grow grid grid-flow-row grid-cols-layout grid-rows-layout sm:grid-cols-layout-lg sm:grid-rows-layout-lg',
      env.USE_RPS_HEADER ? 'pt-2 dark:pt-4 dark:border-t-8' : 'pt-6',
    ]}
  >
    <!-- <Header /> -->
    <Sidebar />
    <main
      class="py-8 sm:pt-0 row-start-content-top row-end-content-bottom col-start-content-left col-end-content-right"
    >
      <slot />
    </main>
    <Footer />
  </div>
</Base>
